# Class Ranges.Entry

java.lang.Object
org.apache.tomcat.util.http.parser.Ranges.Entry

Enclosing class:
  `Ranges`

public static class Ranges.Entry extends Object
Represents a single range entry with a start and end position.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry(long start, long end)`
  Creates a new range entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getEnd()`
  Returns the end position of the range.
  `long`
  `getStart()`
  Returns the start position of the range.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Entry

    public Entry(long start, long end)
    Creates a new range entry.
    Parameters:
      `start` - the start position of the range
      `end` - the end position of the range, or -1 if absent

- ## Method Details

  - ### getStart

    public long getStart()
    Returns the start position of the range.
    Returns:
      the start position

  - ### getEnd

    public long getEnd()
    Returns the end position of the range.
    Returns:
      the end position, or -1 if absent